"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55b20>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55bc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55c60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55d00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55da0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55e40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55ee0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe55f80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56020>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe560c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56160>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56200>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe562a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56340>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe563e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56480>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56520>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe565c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56660>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56700>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe567a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56840>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe568e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56980>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56a20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56ac0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56b60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56c00>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56ca0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56d40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56de0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56e80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56f20>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe56fc0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57060>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57100>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe571a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57240>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe572e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57380>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57420>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe574c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57560>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57600>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe576a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57740>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe577e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57880>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57920>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe579c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57a60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57b00>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57ba0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57c40>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57ce0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57d80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57e20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57ec0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02bbe57f60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc040>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc0e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc180>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc220>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc2c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc360>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc400>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc4a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc540>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc5e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc680>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc720>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc7c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc860>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc900>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fc9a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fca40>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcae0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcb80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcc20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fccc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fce00>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcd60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcea0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcf40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f02ba5fcfe0>)]
name: str = 'fr_HOCCN'
